<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Chart1</title>
  </head>
  <body>
    <h1
      style="
        display: inline-block;
        font-family: Arial;
        font-size: 16px;
        font-weight: bold;
        padding: 0px;
        margin: 0px;
        position: fixed;
        top: 119px;
        left: 169px;
        z-index: 100;
      "
    >
      <%- title %>
    </h1>
    <div id="chart_div" style="width: 1000px; height: 800px;"></div>
    <span id="span"></span>
    <script
      type="text/javascript"
      src="https://www.gstatic.com/charts/loader.js"
    ></script>
    <script>
      google.charts.load('current', { packages: ['corechart'] });
      google.charts.setOnLoadCallback(drawVisualization);

      async function drawVisualization() {
        var response = <%- JSON.stringify(data); %>;
        var title = <%- JSON.stringify(title); %>;
        var titlev = <%- JSON.stringify(yAxisTitle); %>;
        var titleh = <%- JSON.stringify(xAxisTitle); %>;
        // Some raw data (not necessarily accurate)
        var data = google.visualization.arrayToDataTable(response, true);
        // console.log("Hello");
        var options = {
          title: null,
          fontSize: '16',
          fontName: 'Arial',
          legend: {
            alignment: 'top',
            textStyle: { fontSize: 12 }
          },
          textStyle: {
           fontName: 'Arial',
           fontSize: 16,
           bold: true,
           marginLeft: '200px',
         },
          titleTextStyle: {
            marginLeft: '200px',
            alignment: 'center',
            fontName: 'Arial', // i.e. 'Times New Roman'
            fontSize: 24, // 12, 18 whatever you want (don't specify px)
            bold: true   // true or false
            },
          vAxis: {
            title: titlev,
            titleTextStyle: {
            // alignment: 'center',
              fontName: 'Arial', // i.e. 'Times New Roman'
              fontSize: 12, // 12, 18 whatever you want (don't specify px)
            // bold: true   // true or false
            },
            textStyle: {
              fontName: 'Arial',
              fontSize:12,
            },
            // viewWindowMode:'explicit',
            gridlines: {
              interval: [0, 1, 2, 3, 4, 5]
            },
            // format: 'decimal',
            viewWindow: {
              min: 0,
              max: 5,
              // ticks: [0,1,2,3,4,5]
            },
            ticks: [0,1,2,3,4,5]
          },
          hAxis: {
            title: titleh,
            titleTextStyle: {
            // alignment: 'center',
              fontName: 'Arial', // i.e. 'Times New Roman'
              fontSize: 12, // 12, 18 whatever you want (don't specify px)
            // bold: true   // true or false
            },
            textStyle: {
              fontName: 'Arial',
              fontSize: 12,
            },
           },
          seriesType: 'candlesticks',
          series: {0:{labelInLegend: 'High Low Average'}, 1: {type: "bars", targetAxisIndex: 2,labelInLegend: 'Recommended' }},
          colors: ['grey', '#D7E4BD'],
        };

        var chart = new google.visualization.ComboChart(
          document.getElementById('chart_div')
        );
        chart.draw(data, options);
        // console.log("Hello2");
        var span = document.getElementById('span');
        var span2 = document.createElement('span');
        span2.id = "new";
        span.appendChild(span2);
      }
    </script>
  </body>
</html>
